<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  
  class FormVarInputHL extends FormVarInput
  {
    public $hlfensthoehe; 
    public $hlfenstbreite; 
    
    public $hlzahlvon;
    public $hlzahlbis;
    
    public $hltitel;

    
    public function __construct(
      $formvarna,
      $formname,
      $formtext,
      $formgrptxt,
      $inpmaxlen,
      $inpwidth,
      $addinfobtn,
      $hlfensthoehe = '',
      $hlfenstbreite = '',
      $hlzahlvon = '',
      $hlzahlbis = '',
      $hltitel = ''
    ) {
      
      parent::__construct($formvarna, $formname, $formtext, $formgrptxt, $inpmaxlen, $inpwidth, $addinfobtn);
      $this->hlfensthoehe = $hlfensthoehe;
      $this->hlfenstbreite = $hlfenstbreite;
      $this->hlzahlvon = $hlzahlvon;
      $this->hlzahlbis = $hlzahlbis;
      $this->hltitel = $hltitel;
    }

    
    public function getAddInfoButton()
    {
      return $this->getHinterlegungsButton();
    }

    
    public function getHinterlegungsButton()
    {
      
      if (empty($this->hlfensthoehe) && empty($this->hlfenstbreite)) {
        return '';
      }
      $hltyp = \HLDispatcher::HL_ZAHLWERT;
      $hlfield = CleanOperations::cleanStringForJs($this->formname);

      return
              "&nbsp;<a style='vertical-align: bottom;' href='#' "
            . "onClick='window.open(\"hlindex.php?type=$hltyp&amp;field=$hlfield&amp;"
            . 'zahlvon=' . CleanOperations::cleanStringForJs($this->hlzahlvon) . '&amp;zahlbis=' . CleanOperations::cleanStringForJs($this->hlzahlbis) . '&amp;spaltentitel=' . CleanOperations::cleanStringForJs($this->hltitel) . ' ", "_blank", "height=' . CleanOperations::cleanStringForJs($this->hlfensthoehe) . ','
            . 'width=' . CleanOperations::cleanStringForJs($this->hlfenstbreite) . ", scrollbars=yes\");'>"
            . "<img border='0' src='layout/button_hinterlegung.gif' title='Hinterlegung &ouml;ffnen'"
            . " alt='Hinterlegung' />"
            . '</a>';
    }
  }